apport-checkreports called several times during boot

Bug #1225896 reported by Jean-Baptiste Lallement on 2013-09-16
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Undecided
Unassigned
update-notifier (Ubuntu)
High
Unassigned

Bug Description

During boot apport-checkreports is called several times slowing down the boot process. For example in the bootchart attached to this report (sark-saucy-20130916-1.png) it is called 10 times (5 times for 'user' reports and 5 times for system reports)

On another machine installed 10 days ago with Saucy Beta1, is is called 6 times during boot.

There is 1 existing crash file in /var/crash.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: apport 2.12.1-0ubuntu4
ProcVersionSignature: Ubuntu 3.11.0-7.13-generic 3.11.0
Uname: Linux 3.11.0-7-generic x86_64
ApportLog:

ApportVersion: 2.12.1-0ubuntu4
Architecture: amd64
CrashReports: 640:0:136:18987:2013-09-16 09:29:27.782969437 +0200:2013-09-16 09:29:27.782969437 +0200:/var/crash/_usr_bin_twistd.0.crash
Date: Mon Sep 16 09:41:11 2013
MarkForUpload: True
PackageArchitecture: all
SourcePackage: apport
UpgradeStatus: Upgraded to saucy on 2012-01-31 (593 days ago)
mtime.conffile..etc.apport.crashdb.conf: 2013-08-28T08:47:19.111940

Jean-Baptiste Lallement (jibel) wrote :
Jean-Baptiste Lallement (jibel) wrote :

I added a task for update-notifier as apport-checkreports is called from the upstart job update-notifier-crash.conf

tags: added: qa-manual-testing
Brian Murray (brian-murray) wrote :

What version of update-notifier do you have installed?

Changed in update-notifier (Ubuntu):
importance: Undecided → High
Jean-Baptiste Lallement (jibel) wrote :

I am running 0.145 but upgraded today, so it was probably 0.144 running when I got so many apport-checkreports and from changelog, the last upload certainly addresses this isssue.
I'm setting the report to incomplete and will proceed with more tests on another machine to make sure 0.145 fixed the problem.

Changed in update-notifier (Ubuntu):
status: New → Incomplete
Brian Murray (brian-murray) wrote :

The last upload only actually changes how crash notifications happen after apport-checkreports so I'm not certain it will fix it and will also test it.

Jean-Baptiste Lallement (jibel) wrote :

It happened again this morning, in the bootchart attached apport-checkreports started 6 times, there are also 6 instances of watershed.

Just for completeness, this is the content of /var/crash
-rw-r----- 1 j-lallement whoopsie 1529429 Sep 26 13:50 _usr_bin_gnome-calculator.1000.crash
-rw-r----- 1 j-lallement whoopsie 1295858 Sep 26 16:59 _usr_bin_gtk-window-decorator.1000.crash
-rw-r--r-- 1 root whoopsie 0 Sep 22 12:52 _usr_bin_gtk-window-decorator.1000.upload
-rw-r----- 1 j-lallement whoopsie 11873751 Sep 25 12:12 _usr_bin_rhythmbox.1000.crash
-rw-r--r-- 1 root whoopsie 0 Sep 22 12:52 _usr_bin_rhythmbox.1000.upload
-rw-r----- 1 root whoopsie 20623 Sep 22 12:52 _usr_bin_twistd.0.crash
-rw-r--r-- 1 root whoopsie 0 Sep 22 12:52 _usr_bin_twistd.0.upload
-rw-r----- 1 j-lallement whoopsie 416725 Sep 22 12:52 _usr_lib_gvfs_gvfsd-mtp.1000.crash
-rw-r--r-- 1 root whoopsie 0 Sep 22 12:52 _usr_lib_gvfs_gvfsd-mtp.1000.upload
-rw-r----- 1 proxy whoopsie 76820 Sep 22 12:52 _usr_lib_squid3_pinger.13.crash
-rw-r--r-- 1 root whoopsie 0 Sep 22 12:52 _usr_lib_squid3_pinger.13.upload

Changed in update-notifier (Ubuntu):
status: Incomplete → Confirmed
Brian Murray (brian-murray) wrote :

Could you add the file ~/.cache/upstart/update-notifier-crash-_usr_bin_gtk-window-decorator.1000.crash to this bug report? Provided that it has data from 26 and 27 September.

It'd also be interesting to check _usr_bin_gtk-window-decorator.1000.crash for the Date filed to see when exactly the crash occurred.

Actually the same information fo the gnome-calculator crash would be good too. Thanks!

Jean-Baptiste Lallement (jibel) wrote :

update-notifier upstart log for Sept. 26th & 27th

Jean-Baptiste Lallement (jibel) wrote :

crash file for gtk-window-decorator

crash file for gnome-calculator
(note that this crash file has been created with kill -SIGSEGV $(pidof gnome-calculator) for testing purpose)

Brian Murray (brian-murray) wrote :

I wonder if this is the same bug as bug 1229856. Was there anything abnormal about your reboot process?

There was nothing unusual AFAIK. I looked at the boot logs and no crash, oops, segfault or something similar. I'm also using a default kernel.

Brian Murray (brian-murray) wrote :

I recently changed the way .crash files are handled in the update-notifier upstart crash notification job. This has landed in trusty and is available in saucy-proposed. Could you check to see if it is still an issue? Thanks in advance.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apport (Ubuntu):
status: New → Confirmed
Carlos Pita (carlosjosepita) wrote :

rm -rf /var/crash/*

fixed the issue. I'm in xubuntu 13.10.

It is not fixed in Trusty with latest updates. This bootchart shows 3 instance of apport-checkreport during boot.
I verified in proc_ps gathered by bootchart that the 3 instances are different processes (to eliminate a possible rendering issue in bootchart)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers